Name: velocity
Version: 1.5
Release: alt0.1

Summary: Java-based template engine
License: Apache Software License
Source: %name-%version-dev.tar.bz2
Url: http://jakarta.apache.org/%name/
Group: Development/Java

BuildPreReq: /proc rpm-build-java
BuildRequires: ant ant-junit junit werken-xpath antlr jakarta-commons-collections jakarta-servletapi4
BuildRequires: jakarta-oro jdom bcel log4j excalibur-logkit
Requires: jakarta-commons-collections jakarta-servletapi4 jakarta-oro werken-xpath jdom bcel log4j excalibur-logkit
BuildArch: noarch

%description
Velocity is a Java-based template engine. It permits anyone to use the
simple yet powerful template language to reference objects defined in
Java code.
When Velocity is used for web development, Web designers can work in
parallel with Java programmers to develop web sites according to the
Model-View-Controller (MVC) model, meaning that web page designers can
focus solely on creating a site that looks good, and programmers can
focus solely on writing top-notch code. Velocity separates Java code
from the web pages, making the web site more maintainable over the long
run and providing a viable alternative to Java Server Pages (JSPs) or
PHP.
Velocity's capabilities reach well beyond the realm of web sites; for
example, it can generate SQL and PostScript and XML (see Anakia for more
information on XML transformations) from templates. It can be used
either as a standalone utility for generating source code and reports,
or as an integrated component of other systems. Velocity also provides
template services for the Turbine web application framework.
Velocity+Turbine provides a template service that will allow web
applications to be developed according to a true MVC model.

%package manual
Summary: Manual for %name
Group: Development/Java

%description manual
Documentation for %name.

%package javadoc
Summary: Javadoc for %name
Group: Development/Java
Requires: java-common

%description javadoc
Javadoc for %name.

%package demo
Summary: Demo for %name
Group: Development/Java
Requires: %name = %version-%release

%description demo
Demonstrations and samples for %name.

%prep
%setup -q -n %name

# Remove all binary libs used in compiling the package.
# Note that velocity has some jar files containing macros under
# examples and test that should not be removed.
find build -name '*.jar' -exec rm -f \{\} \;

%build
%set_classpath %_javadir/antlr.jar
%add_classpath %_javadir/jakarta-commons-collections.jar
%add_classpath %_javadir/servletapi.jar
%add_classpath %_javadir/excalibur-logkit.jar
%add_classpath %_javadir/junit.jar
%add_classpath %_javadir/jakarta-oro.jar
%add_classpath %_javadir/log4j.jar
%add_classpath %_javadir/jdom.jar
%add_classpath %_javadir/bcel.jar
%add_classpath %_javadir/werken-xpath.jar

%ant_build \
  -buildfile build/build.xml \
  -Djunit.jar=%_javadir/junit.jar \
  -Dbuild.sysclasspath=first \
  jar javadocs test

%install
%__mkdir_p %buildroot{%_javadir,%_javadocdir/%name,%_datadir/%name}
# jars
install -p -m 644 bin/*.jar %buildroot%_javadir/%name.jar
# javadoc
%__cp -pr docs/api/* %buildroot%_javadocdir/%name
rm -rf docs/api

# data
%__cp -pr convert examples test %buildroot%_datadir/%name

%files
%doc LICENSE.txt TODO.txt README.txt
%_javadir/*.jar

%files manual
%doc docs/*

%files javadoc
%_javadocdir/%name

%files demo
%_datadir/%name

%changelog
* Sat May 07 2005 Vladimir Lettiev <crux@altlinux.ru> 1.5-alt0.1
- 1.5-dev
- svn snapshot 20050507

* Fri May 06 2005 Vladimir Lettiev <crux@altlinux.ru> 1.4-alt1
- Initial build for ALT Linux Sisyphus

